Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::RTORB_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::RTORB_var:

[legend]
Collaboration diagram for RTCORBA::RTORB_var:

[legend]
List of all members.

## Public Methods
| RTORB_var (void)
| RTORB_var (RTORB_ptr p)
| RTORB_var (const RTORB_var &)
| ~RTORB_var (void)
RTORB_var & | operator= (RTORB_ptr)
RTORB_var & | operator= (const RTORB_var &)
RTORB_ptr | operator-> (void) const
| operator const RTORB_ptr & () const
| operator RTORB_ptr & ()
RTORB_ptr | in (void) const
RTORB_ptr & | inout (void)
RTORB_ptr & | out (void)
RTORB_ptr | _retn (void)
RTORB_ptr | ptr (void) const
## Static Public Methods
RTORB_ptr | tao_duplicate (RTORB_ptr)
void | tao_release (RTORB_ptr)
RTORB_ptr | tao_nil (void)
RTORB_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| RTORB_var (const TAO_Base_var &rhs)
RTORB_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
RTORB_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::RTORB_var::RTORB_var | ( | void |  | ) |

RTCORBA::RTORB_var::RTORB_var | ( | RTORB_ptr | p | ) | `[inline]`

RTCORBA::RTORB_var::RTORB_var | ( | const RTORB_var & |  | ) |

RTCORBA::RTORB_var::~RTORB_var | ( | void |  | ) |

RTCORBA::RTORB_var::RTORB_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

RTORB_ptr RTCORBA::RTORB_var::_retn | ( | void |  | ) |

RTORB_ptr RTCORBA::RTORB_var::in | ( | void |  | ) | const

RTORB_ptr& RTCORBA::RTORB_var::inout | ( | void |  | ) |

RTCORBA::RTORB_var::operator const RTORB_ptr & | ( |  | ) | const

RTCORBA::RTORB_var::operator RTORB_ptr & | ( |  | ) |

RTORB_ptr RTCORBA::RTORB_var::operator-> | ( | void |  | ) | const

RTORB_var& RTCORBA::RTORB_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

RTORB_var& RTCORBA::RTORB_var::operator= | ( | const RTORB_var & |  | ) |

RTCORBA::RTORB_var & RTCORBA::RTORB_var::operator= | ( | RTORB_ptr | p | ) |

RTORB_ptr& RTCORBA::RTORB_var::out | ( | void |  | ) |

RTCORBA::RTORB_ptr RTCORBA::RTORB_var::ptr | ( | void |  | ) | const

RTORB_ptr RTCORBA::RTORB_var::tao_duplicate | ( | RTORB_ptr |  | ) | `[static]`

RTORB_ptr RTCORBA::RTORB_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

RTORB_ptr RTCORBA::RTORB_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::RTORB_var::tao_release | ( | RTORB_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::RTORB_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

RTORB_ptr RTCORBA::RTORB_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp